# Method: stats.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/stats/get#body.HTTP_TEMPLATE)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/stats/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/stats/get#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/stats/get#body.PlayerStats.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/stats/get#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/stats/get#try-it)

Returns engagement and spend statistics in this application for the currently authenticated user.

### HTTP request

`GET https://games.googleapis.com/games/v1/stats`

### Request body

The request body must be empty.

### Response body

A third party stats resource.

If successful, the response body contains data with the following structure:

|                                                                                                                                                                   JSON representation                                                                                                                                                                   |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "churn_probability": number, "num_purchases": integer, "spend_percentile": number, "days_since_last_played": integer, "num_sessions": integer, "num_sessions_percentile": number, "avg_session_length_minutes": number, "spend_probability": number, "high_spender_probability": number, "total_spend_next_28_days": number, "kind": string } ``` |

|                                                                                                                                                         Fields                                                                                                                                                         ||
|------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `churn_probability`          | `number` The probability of the player not returning to play the game in the next day. E.g., 0, 0.1, 0.5, ..., 1.0. Not populated if there is not enough information.                                                                                                                    |
| `num_purchases`              | `integer` Number of in-app purchases made by the player in this game. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.                                                                                                                                         |
| `spend_percentile`           | `number` The approximate spend percentile of the player in this game. E.g., 0, 0.25, 0.5, 0.75. Not populated if there is not enough information.                                                                                                                                        |
| `days_since_last_played`     | `integer` Number of days since the player last played this game. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.                                                                                                                                              |
| `num_sessions`               | `integer` The approximate number of sessions of the player within the last 28 days, where a session begins when the player is connected to Play Games Services and ends when they are disconnected. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.           |
| `num_sessions_percentile`    | `number` The approximation of the sessions percentile of the player within the last 30 days, where a session begins when the player is connected to Play Games Services and ends when they are disconnected. E.g., 0, 0.25, 0.5, 0.75. Not populated if there is not enough information. |
| `avg_session_length_minutes` | `number` Average session length in minutes of the player. E.g., 1, 30, 60, ... . Not populated if there is not enough information.                                                                                                                                                       |
| `spend_probability`          | `number` The probability of the player going to spend the game in the next seven days. E.g., 0, 0.25, 0.50, 0.75. Not populated if there is not enough information.                                                                                                                      |
| `high_spender_probability`   | `number` The probability of the player going to spend beyond a threshold amount of money. E.g., 0, 0.25, 0.50, 0.75. Not populated if there is not enough information.                                                                                                                   |
| `total_spend_next_28_days`   | `number` The predicted amount of money that the player going to spend in the next 28 days. E.g., 1, 30, 60, ... . Not populated if there is not enough information.                                                                                                                      |
| `kind`                       | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#statsResponse`.                                                                                                                                                                           |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).